<div *ngFor="let gg of ggs">
  <div *ngIf="homeId == gg.try">
    <div style="height: 50px"></div>

    <!-- **************************************************************************************************************** -->

    <section id="firstPage">
      <mat-carousel
        timings="200ms ease-in"
        [autoplay]="true"
        interval="6000"
        color="white"
        maxWidth="auto"
      >
        <mat-carousel-slide
          *ngFor="let slide of slides; let i = index"
          [image]="slide.image"
          overlayColor="#ffffff"
          [hideOverlay]="true"
        ></mat-carousel-slide>
      </mat-carousel>
    </section>

    <!-- ************************************************************************************************************************ -->

    <section id="secondPage">
      <div style="height: 100px"></div>
    </section>

    <!-- ******************************************************************************************************************** -->

    <section id="thirdPage">
      <div>
        <!-- <p class="head">{{ gg.name }}</p> -->

        <table>
          <div class="shape">
            <!-- ******************************************************************************************************************* -->

            <div *ngIf="gg.name == 'Laptop'">
              <div *ngFor="let laptop of laptops | async">
                <div class="container page-wrapper">
                  <div class="page-inner">
                    <div class="row">
                      <div class="el-wrapper">
                        <div class="box-up">
                          <img class="img" src="{{ laptop.imageURL }}" alt="" />
                          <div class="img-info">
                            <div class="info-inner">
                              <span class="p-name">
                                {{ laptop.productName }}
                              </span>
                              <span class="p-company">{{
                                laptop.companyName
                              }}</span>
                            </div>
                            <div class="a-description">
                              Product Description :
                              <span class="description">
                                {{ laptop.description }}
                              </span>
                            </div>
                          </div>
                        </div>

                        <div class="box-down">
                          <div class="h-bg">
                            <div class="h-bg-inner"></div>
                          </div>

                          <a class="cart" href="#">
                            <span class="price"
                              >&#x20B9; {{ laptop.price }}
                            </span>
                            <span class="add-to-cart">
                              <span class="txt">Add in cart</span>
                            </span>
                          </a>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>

            <!-- ***************************************************************************************************************************** -->

            <div *ngIf="gg.name == 'Mobile'">
              <div *ngFor="let mobile of mobiles | async">
                <div class="container page-wrapper">
                  <div class="page-inner">
                    <div class="row">
                      <div class="el-wrapper">
                        <div class="box-up">
                          <img class="img" src="{{ mobile.imageURL }}" alt="" />
                          <div class="img-info">
                            <div class="info-inner">
                              <span class="p-name">
                                {{ mobile.productName }}
                              </span>
                              <span class="p-company">{{
                                mobile.companyName
                              }}</span>
                            </div>
                            <div class="a-description">
                              Product Description :
                              <span class="description">
                                {{ mobile.description }}
                              </span>
                            </div>
                          </div>
                        </div>

                        <div class="box-down">
                          <div class="h-bg">
                            <div class="h-bg-inner"></div>
                          </div>

                          <a class="cart" href="#">
                            <span class="price"
                              >&#x20B9; {{ mobile.price }}
                            </span>
                            <span class="add-to-cart">
                              <span class="txt">Add in cart</span>
                            </span>
                          </a>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>

            <!-- ********************************************************************************************************************************************* -->

            <div *ngIf="gg.name == 'Tv'">
              <div *ngFor="let tv of tvs | async">
                <div class="container page-wrapper">
                  <div class="page-inner">
                    <div class="row">
                      <div class="el-wrapper">
                        <div class="box-up">
                          <img class="img" src="{{ tv.imageURL }}" alt="" />
                          <div class="img-info">
                            <div class="info-inner">
                              <span class="p-name">
                                {{ tv.productName }}
                              </span>
                              <span class="p-company">{{
                                tv.companyName
                              }}</span>
                            </div>
                            <div class="a-description">
                              Product Description :
                              <span class="description">
                                {{ tv.description }}
                              </span>
                            </div>
                          </div>
                        </div>

                        <div class="box-down">
                          <div class="h-bg">
                            <div class="h-bg-inner"></div>
                          </div>

                          <a class="cart" href="#">
                            <span class="price">&#x20B9; {{ tv.price }} </span>
                            <span class="add-to-cart">
                              <span class="txt">Add in cart</span>
                            </span>
                          </a>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>

            <!-- ******************************************************************************************************************************* -->

            <div *ngIf="gg.name == 'Speaker'">
              <div *ngFor="let speaker of speakers | async">
                <div class="container page-wrapper">
                  <div class="page-inner">
                    <div class="row">
                      <div class="el-wrapper">
                        <div class="box-up">
                          <img
                            class="img"
                            src="{{ speaker.imageURL }}"
                            alt=""
                          />
                          <div class="img-info">
                            <div class="info-inner">
                              <span class="p-name">
                                {{ speaker.productName }}
                              </span>
                              <span class="p-company">{{
                                speaker.companyName
                              }}</span>
                            </div>
                            <div class="a-description">
                              Product Description :
                              <span class="description">
                                {{ speaker.description }}
                              </span>
                            </div>
                          </div>
                        </div>

                        <div class="box-down">
                          <div class="h-bg">
                            <div class="h-bg-inner"></div>
                          </div>

                          <a class="cart" href="#">
                            <span class="price"
                              >&#x20B9; {{ speaker.price }}
                            </span>
                            <span class="add-to-cart">
                              <span class="txt">Add in cart</span>
                            </span>
                          </a>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>

            <!-- ************************************************************************************************************************************************************* -->
          </div>
        </table>
      </div>
    </section>

    <div style="height: 100px"></div>
    <footer align="center">
      <a href="#" class="fa fa-facebook"></a>
      <a href="#" class="fa fa-instagram"></a>
      <a href="#" class="fa fa-twitter"></a>
      <br /><br />
      <div style="color: white; font-size: smaller">
        <p>info . Support . Electronics</p>
        <p>Terms Of Use . Privacy Policy</p>
      </div>
      <p>@2021 EMBASSY ELECTRONICS</p>
      <br />
    </footer>
  </div>
</div>
<!-- <section>
  <div *ngFor="let item of items | async">
    <div>{{ item.name }}</div>
    <div *ngIf="homeId == item.id ">
      <p>{{ item.id}}</p>
      <div *ngIf="item.name == ' item.name '">
        <div *ngFor="let item.name of item.names | async">
          <p> {{item.name.productName}} </p>
        </div>
      </div>
    </div>
  </div>
</section> -->
